hallo,
ich absoluter anfänger, hat mir schon einiges abverlangt solaris 10 (5.3 x86)auf vmware workstation zu installieren.
hab ne alte cad software die ich zum probieren installieren will.
nach start bekam ich die fehlermeldung dass SUNWglrt fehlt. habe dann innerhalb 1woche! ogl123_rt_non_ultra.shar gefunden und installiert , die fehlermeldung ist weg.
auf der install cd ist noch ein doc mit folgendem inhalt:
UNLOAD STARTER AND RUN CATINST (ONLY FOR CDROM INSTALL)
CALL : start or START (depending on CDROM driver)
INPUTS : NONE
OUTPUTS :
return code: not set
CREATED : 2/29/96
Set variables
set +o nounset
[[ $0 = /* ]] && START_DIR=$0 || START_DIR=`echo $(pwd)/$0 | sed 's%/\./%/%g'`
START=${START_DIR##*/}
START_DIR=${START_DIR%/*}
[[ $START = start ]] && STARTER=starter || STARTER=STARTER
export CAT_UNLOAD=/usr/catia/unload
CAT_CUST=/home/catadm
[[ -z $DISPLAY ]] && export DISPLAY=`uname -n`:0
echo
Check current directory, to avoid some kills
if [[ `pwd` = "/" ]] ; then
:
else
echo "Sorry: \"$START\" command must be run from root directory"
echo "Please run the following commands:"
echo " cd /"
echo " $START_DIR/$START"
echo
exit 1
fi
Check root, and perform su if necessary
if [[ `PATH=$PATH:/usr/ucb whoami` = root ]] ; then
:
else
if [[ $1 = 2 ]] ; then
echo "Problem when trying to become super-user (root)"
echo "Please try to become super-user by running following commands:"
echo " login root"
echo " $START_DIR/$START"
echo
exit 1
fi
echo "You must be super-user (root) to install CATIA"
echo "Trying to become super-user before running CATIA install"
echo
su - root -c "$START_DIR/$START 2"
exit $?
fi
{
echo "CATIA installation begins [ `date` ] <------"
echo
Ask for directory
echo You have to choose where you want to unload CATIA
echo Default CATIA unload directory is: $CAT_UNLOAD
echo It is strongly recommended CATIA unload directory name ends by \"/unload\"
echo Please enter your directory, or just press Enter if default value is OK
read rep
[[ -n $rep ]] && CAT_UNLOAD=$rep
echo
if [[ $CAT_UNLOAD != /* ]] ; then
echo CATIA unload directory must be an absolute path:
echo it must begin by a \"/\"
exit 1
fi
if [[ $CAT_UNLOAD != */unload ]] ; then
echo "It is strongly recommended unload directory name ends by \"/unload\""
echo "Do you really want to unload CATIA in $CAT_UNLOAD directory [y/n] ?"
read rep
[[ $rep != [yY]* ]] && exit 1
echo Continuing
echo
fi
Create CAT_UNLOAD directory
if [[ ! -a $CAT_UNLOAD ]] ; then
echo Creating $CAT_UNLOAD directory
mkdir -p $CAT_UNLOAD || exit 1
echo
fi
Check CAT_UNLOAD is a directory
if [[ ! -d $CAT_UNLOAD ]] ; then
echo $CAT_UNLOAD exists and is not a directory
echo Please choose another name for CATIA unload directory
echo
exit 1
fi
Check CAT_UNLOAD directory is empty
if [[ "`ls -A $CAT_UNLOAD`" = "" ]] ; then
:
else
echo $CAT_UNLOAD is not an empty directory
if [[ -s $CAT_UNLOAD/control/PRESENT ]] ; then
echo and is a previous CATIA unload directory
fi
echo You can:
echo " - choose another directory to unload CATIA, and run $START again"
echo " - or, remove this directory contents, and run $START again"
if [[ -s $CAT_UNLOAD/control/PRESENT ]] ; then
echo " - or, if the current CATIA installation in this directory is OK,"
echo " directly run CATIA installation Graphical User Interface,"
echo " by entering $CAT_UNLOAD/code/bin/catinst command"
fi
echo
exit 1
fi
Change to unload directory
cd $CAT_UNLOAD || exit 1
Check starter is present
if [[ ! -x $START_DIR/$STARTER ]] ; then
echo "Starter file not found on CDROM ($START_DIR/$STARTER)"
echo "Unable to unload CATIA"
echo
exit 1
fi
Unload starter
echo Unloading CATIA starter in $CAT_UNLOAD
echo
tar xvf $START_DIR/$STARTER
if [[ $? -ne 0 ]] ; then
echo Problem when unloading $START_DIR/$STARTER
echo Removing $CAT_UNLOAD contents
rm -rf $CAT_UNLOAD/*
echo
echo CATIA installation failed
echo
exit 1
fi
Check catinst is present
if [[ ! -x $CAT_UNLOAD/code/bin/catinst ]] ; then
echo "$CAT_UNLOAD/code/bin/catinst file not found"
echo "Unable to run CATIA installation Graphical User Interface"
echo
exit 1
fi
On AIX, create filesystems if needed
if [[ `uname` = AIX ]] ; then
echo
echo You are on AIX Operating System
echo Do you want to create CATIA and Administrator home filesystems [y/n] ?
read rep
echo
if [[ $rep = [nN]* ]] ; then
echo Continuing
echo
else
get CATIA filesystem
[[ $CAT_UNLOAD = *unload ]] && CATFS=${CAT_UNLOAD%/*} || CATFS=$CAT_UNLOAD
ok=
while [[ -z $ok ]] ; do
echo Default CATIA filesystem is: $CATFS
echo If this default does not match your need,
echo please enter your prefered CATIA filesystem
read rep
if [[ -n $rep && $rep != /* ]] ; then
echo CATIA filesystem must be an absolute path:
echo it must begin by a \"/\"
echo
else
ok=ok
fi
done
[[ -n $rep ]] && CATFS=$rep
get Administrator home
ok=
while [[ -z $ok ]] ; do
echo Default CATIA Administrator home filesystem is: $CAT_CUST
echo If this default does not match your need,
echo please enter your prefered CATIA Administrator home filesystem
read rep
if [[ -n $rep && $rep != /* ]] ; then
echo Administrator home must be an absolute path:
echo it must begin by a \"/\"
echo
else
ok=ok
fi
done
[[ -n $rep ]] && CAT_CUST=$rep
run catcrfs
$CAT_UNLOAD/code/bin/catcrfs -s -q -f $CATFS -H $CAT_CUST
rc=$?
cd /
cd $OLDPWD
if [[ $rc -ne 0 ]] ; then
echo
echo Unable to create $CATFS and/or $CAT_CUST filesystems
echo To perform this task, please run
echo $CAT_UNLOAD/code/bin/catcrfs -f $CATFS -H $CAT_CUST
echo After this, please no longer use $START command,
echo but next time use $CAT_UNLOAD/code/bin/catinst command
exit 1
fi
fi
fi
Run catinst
echo
echo CATIA installation Graphical User Interface is to be run
echo Please no longer use $START command,
echo but next time use $CAT_UNLOAD/code/bin/catinst command
echo
[[ -n $WFSTARTDEBUG ]] && read a?waiting
cd /
nohup $CAT_UNLOAD/code/bin/catinst -t -u $CAT_UNLOAD &
} 2>&1 | tee -a $HOME/catinst.log
was bedeutet das alles, muss ich die variablen aus den ersten zeilen selber setzen?
mfg